/**
 * 打印模块
 */

import http from '../http'

export default {
  // page
  page: data => http.post('/print/v1/print_module/page', data).then(res => res),
  add: data => http.post('/print/v1/print_module/', data).then(res => res),
  edit: data =>
    http.put('/print/v1/print_module/' + data.id, data.obj).then(res => res),
  getById: data => http.get('/print/v1/print_module/' + data).then(res => res),
  getModule: () => http.post('/print/v1/print_module/list').then(res => res)
}
